import { ILogger, ILoggerOptions } from "./interfaces";
export declare class Logger implements ILogger {
    private options;
    private printer;
    constructor(options: ILoggerOptions, printer?: (...args: any[]) => void);
    success(message: string): void;
    info(message: string): void;
    error(err: any): void;
    private print;
}
