import { copy } from "fs-extra";
import { IFS } from "./interfaces";
export declare class FS implements IFS {
    copyPath: typeof copy;
    dirExists(filePath: string): Promise<boolean>;
    fileExists(filePath: string): Promise<boolean>;
    readFile(filePath: string): Promise<string>;
    writeFile(filePath: string, content: string): Promise<void>;
    readJSON<T = any>(filePath: string): Promise<T>;
    writeJSON<T = any>(filePath: string, item: T): Promise<void>;
}
